Announcement

Collapse
No announcement yet.

Upgrade from 3.8: do I need to remove all plugins?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrade from 3.8: do I need to remove all plugins?

    It's not clear to me if it is "just" advised or if I do need to remove plugins before upgrading from 3.8 to the latest 5.6.3 version.
    We have many plugins on our board, and when I try to remove some from the admin panel it goes in timeout (eg, POST_THANK_YOU_HACK).

    What happens if we upgrade leaving the plugins? Those extra tables will be carried over or dropped? Can cause problems?
    Our board has over 12M messages, 120K+ users and proudly using vbulletin for over 10 years now. Upgrading is also stressful... any advice is more than welcome.

    Thanks!




  • #2
    You should uninstall all third party add-ons before upgrading.

    None of them will work with vBulletin 5, and if they have altered the database it can cause conflicts during the upgrade.

    Obviously any data created by third party add-ons is removed when they are uninstalled. (In most cases anyway).
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.6.3 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      Thanks Mark.B !

      Is there anyway to remove plugins other than from the admin portal? There are a couple that time out.

      Comment


      • #4
        Originally posted by cirdok2 View Post
        Thanks Mark.B !

        Is there anyway to remove plugins other than from the admin portal? There are a couple that time out.
        Not easily no. They are probably trying to remove data.

        Would be worth finding out from your host what the timeout is, and asking them to increase any limit. For example, it could be the mysql_wait_timeout, which can be increased temporarily if it's causing an issue.
        MARK.B | vBULLETIN SUPPORT

        TalkNewsUK - My vBulletin 5.6.3 Demo
        AdminAmmo - My Cloud Demo

        Comment

        widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
        Working...
        X